# Class TCEFProxySettings

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFApplicationCore

## Declaration

`type TCEFProxySettings = class(TObject)`

## Description

Class used by the TWVLoader.ProxySettigns property to configure a custom proxy server using the following command line switches: –no-proxy-server, –proxy-auto-detect, –proxy-bypass-list, –proxy-pac-url and –proxy-server.

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –no-proxy-server)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-auto-detect)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-bypass-list)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-pac-url)

<see href="https://peter.sh/experiments/chromium-command-line-switches/">Uses the following command line switch: –proxy-server)

<see href="https://www.chromium.org/developers/design-documents/network-settings/">See the Network Settings article.)

<see href="https://github.com/chromium/chromium/blob/main/net/docs/proxy.md"/">See the Proxy Support article.)

<see href="https://developer.chrome.com/docs/extensions/reference/api/proxy">See the chrome.proxy API article.)

## Hierarchy

- TObject
- TCEFProxySettings

## Overview

### Fields

| `FNoProxyServer: boolean;`
| `FAutoDetect: boolean;`
| `FByPassList: ustring;`
| `FPacUrl: ustring;`
| `FServer: ustring;`

### Methods

| `constructor Create;`

### Properties

| `property NoProxyServer : boolean read FNoProxyServer write FNoProxyServer;`
| `property AutoDetect : boolean read FAutoDetect write FAutoDetect;`
| `property ByPassList : ustring read FByPassList write FByPassList;`
| `property PacUrl : ustring read FPacUrl write FPacUrl;`
| `property Server : ustring read FServer write FServer;`

## Description

### Fields

| `FNoProxyServer: boolean;`
This item has no description.

| `FAutoDetect: boolean;`
This item has no description.

| `FByPassList: ustring;`
This item has no description.

| `FPacUrl: ustring;`
This item has no description.

| `FServer: ustring;`
This item has no description.

### Methods

| `constructor Create;`
This item has no description.

### Properties

| `property NoProxyServer : boolean read FNoProxyServer write FNoProxyServer;`
This item has no description.

| `property AutoDetect : boolean read FAutoDetect write FAutoDetect;`
This item has no description.

| `property ByPassList : ustring read FByPassList write FByPassList;`
This item has no description.

| `property PacUrl : ustring read FPacUrl write FPacUrl;`
This item has no description.

| `property Server : ustring read FServer write FServer;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.